language: cn
model_unique_abbr: item_association_pattern_mining_apriori
version: 1.0
identification:
  docker_image_name: item_association_pattern_mining:1.0-apriori
  model_name: 事务关联模式挖掘
  semantic: item association pattern mining
  description: 面向事务型数据关联模式挖掘的基于逐层搜索策略的经典关联算法
  category_application: 诊断型
  category_data:
  - 结构化事务数据
  keywords:
  - 关联模式挖掘
parameter_info:
  parameters:
  - arg_name: input
    is_single_en_dash: false
    param_type: input_data
    name: 结构化事务数据
    description: 待分析的结构化事务数据，数据格式为csv
    data_type: csv
    data_semantic: structured transaction data

  - arg_name: minsupport
    is_single_en_dash: false
    param_type: param
    name: 最小支持度
    description: 最小支持度阈值，float类型，取值范围为(0,1)
    data_type: float
    data_semantic: minimum support
    specification:
      default: 0.15
      range:
      - "(0,1)"
  - arg_name: minconfidence
    is_single_en_dash: false
    param_type: param
    name: 最小置信度
    description: 最小置信度阈值，float类型，取值范围为(0,1)
    data_type: float
    data_semantic: minimum confidence
    specification:
      default: 0.6
      range:
      - "(0,1)"
  - arg_name: output
    is_single_en_dash: false
    param_type: output_data
    name: 分析结果
    description: 数据项的频繁项集与关联规则，数据格式为txt
    data_type: txt
    data_semantic: analyze result
application:
  domain: 非时空频繁事务发掘
  objective: 挖掘非时空事务数据库中频繁共现事件间的关联关系
  mechanism: 逐层搜索满足支持度和置信度的基础频繁项集，通过不断迭代连接策略和剪枝策略以组成高级频繁项集，得到的有效频繁项集即为关联规则。
operation:
  usage: 该算法使用最小支持度(minsupport)与最小置信度(minconfidence)挖掘频繁共现于同一时间或空间的事件间的关联关系。
  exec_example:
  - docker run -v $(pwd)/data:/data item_association_pattern_mining:1.0-apriori --input /data/data.csv --output /data/apriori_result.txt
  - docker run -v $(pwd)/data:/data item_association_pattern_mining:1.0-apriori --input /data/data.csv --minconfidence 0.1 --minsupport 0.1 --output /data/apriori_result.txt
  license:
  - MIT
technique:
  language:
  - Python
  os:
  - Linux
  - Windows
source:
  maintainer: Minghui Li
  organization: Central South University
  contact: 286381830@qq.com
  references:
  - "Agrawal, R., Imieli´nski, T., Swami, A. 1993. Mining association rules between sets of items in large databases. Proceedings of the ACM SIGMOD International Conference on Management of Data, 22(2),207–216."
